org.springframework.ldap.query

## Interface ContainerCriteria

- All Superinterfaces:
    LdapQuery

      public interface ContainerCriteria
      extends LdapQuery

  And/or filter builder support for LdapQuery.
  Since:
    2.0
  Author:
    Mattias Hellborg Arthursson

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerCriteria` | `and(ContainerCriteria nested)` Append an And condition for a nested criterion.
    `ConditionCriteria` | `and(String attribute)` Append a logical And condition to the currently built filter.
    `ContainerCriteria` | `or(ContainerCriteria nested)` Append an Or condition for a nested criterion.
    `ConditionCriteria` | `or(String attribute)` Append a logical Or condition to the currently built filter.

    - ### Methods inherited from interface org.springframework.ldap.query.LdapQuery

      `attributes, base, countLimit, filter, searchScope, timeLimit`

- - ### Method Detail

    - #### and

          ConditionCriteria and(String attribute)

      Append a logical And condition to the currently built filter.
      Parameters:
        `attribute` - Name of the attribute to specify a condition for.
      Returns:
        A ConditionCriteria instance for specifying the compare operation.
      Throws:
        `IllegalStateException` - if `or(String)` has previously been called on this instance.

    - #### or

          ConditionCriteria or(String attribute)

      Append a logical Or condition to the currently built filter.
      Parameters:
        `attribute` - Name of the attribute to specify a condition for.
      Returns:
        A ConditionCriteria instance for specifying the compare operation.
      Throws:
        `IllegalStateException` - if `and(String)` has previously been called on this instance.

    - #### and

          ContainerCriteria and(ContainerCriteria nested)

      Append an And condition for a nested criterion. Use `LdapQueryBuilder.query()` to start the nested condition. Any base query information on the nested builder instance will not be considered.
      Parameters:
        `nested` - the nested criterion.
      Returns:
        A ConditionCriteria instance for specifying the compare operation.

    - #### or

          ContainerCriteria or(ContainerCriteria nested)

      Append an Or condition for a nested criterion. Use `LdapQueryBuilder.query()` to start the nested condition. Any base query information on the nested builder instance will not be considered.
      Parameters:
        `nested` - the nested criterion.
      Returns:
        A ConditionCriteria instance for specifying the compare operation.